import { EntityRepository, Repository } from "typeorm";
import { HomePageAboutSectionCmsEntity } from "./entities/home-page-about-section-cms.entity";
import { UpdateHomePageAboutSectionCmsDto } from "./dto/update-home-page-about-section-cms.dto";

@EntityRepository(HomePageAboutSectionCmsEntity)
export class HomePageAboutSectionCmsRepository extends Repository<HomePageAboutSectionCmsEntity> {

    async createEntity(dto: UpdateHomePageAboutSectionCmsDto): Promise<HomePageAboutSectionCmsEntity | Error> {
        try {
            const entity = this.create({
                heading: dto.heading,
                title: dto.title,
                subtitle: dto.subtitle,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
                image: dto.image,
                imageTextOne: dto.imageTextOne,
                imageTextTwo: dto.imageTextTwo,
                imageTextThree: dto.imageTextThree
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateHomePageAboutSectionCmsDto, id: string): Promise<HomePageAboutSectionCmsEntity | Error> {
        try {
            await this.update(id, {
                heading: dto.heading,
                title: dto.title,
                subtitle: dto.subtitle,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
                image: dto.image,
                imageTextOne: dto.imageTextOne,
                imageTextTwo: dto.imageTextTwo,
                imageTextThree: dto.imageTextThree
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<HomePageAboutSectionCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}