import { EntityRepository, Repository } from "typeorm";
import { HomePageBannerSectionCmsEntity } from "./entities/home-page-banner-section-cms.entity";
import { UpdateHomePageBannerSectionCmsDto } from "./dto/update-home-page-banner-section-cms.dto";

@EntityRepository(HomePageBannerSectionCmsEntity)
export class HomePageBannerSectionCmsRepository extends Repository<HomePageBannerSectionCmsEntity> {

    async createEntity(dto: UpdateHomePageBannerSectionCmsDto): Promise<HomePageBannerSectionCmsEntity | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
                image: dto.image,
                backgroundImage: dto.backgroundImage
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateHomePageBannerSectionCmsDto, id: string): Promise<HomePageBannerSectionCmsEntity | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
                image: dto.image,
                backgroundImage: dto.backgroundImage
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<HomePageBannerSectionCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}