import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import { UpdateHomePageOurProductsSectionCmsDto } from "./dto/update-home-page-our-products-section-cms.dto";
import { HomePageOurProductsSectionCmsService } from "./home-page-our-products-section-cms.service";

@Controller({path: "home-page-our-products-section-cms", version: Constants.API_VERSION_1})

export class HomePageOurProductsSectionCmsController {
    constructor(private readonly service: HomePageOurProductsSectionCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateHomePageOurProductsSectionCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
