import {Module} from '@nestjs/common';
import {JwtModule} from '@nestjs/jwt';
import {TypeOrmModule} from '@nestjs/typeorm';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import {ShippingMethodsController} from './shipping-method.controller';
import {ShippingMethodsRepository} from './shipping-method.repository';
import {ShippingMethodsService} from './shipping-method.service';
import { UsersRepository } from 'src/modules/users/user.repository';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ShippingMethodsRepository])
    ],
    controllers: [ShippingMethodsController],
    providers: [ShippingMethodsService, JwtHelper]
})
export class ShippingMethodsModule {
}
