import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { DoSpacesServicerovider } from "../../SpacesModule/SpacesService";
import { DoSpacesService } from "../../SpacesModule/SpacesService/doSpacesService";
import { SocialLinksController } from "./social-links.controller";
import { SocialLinksRepository } from "./social-links.repository";
import { SocialLinksService } from "./social-links.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([SocialLinksRepository])
    ],
    controllers: [SocialLinksController],
    providers: [SocialLinksService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class SocialLinksModule {}
