import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';
import { PaymentConfigurationRepository } from './payment-configuration.repository';
import { PaymentConfigurationController } from './payment-configuration.controller';
import { PaymentConfigurationService } from './payment-configuration.service';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([PaymentConfigurationRepository])
    ],
    controllers: [PaymentConfigurationController],
    providers: [PaymentConfigurationService, JwtHelper]
})
export class PaymentConfigurationModule {
}